PostgreSQL 7.2.1 Documentation
Prev |  | Next

# getline

## Name

getline -- gets a line from server socket [DA]

## Synopsis

    getline()

### Parameters

none

### Return Type

string

  The line read.

### Exceptions

TypeError

  Bad argument type or too many (any) arguments.

pg.error

  Invalid connection.

## Description

`getline()` method allows to directly read a string from the server socket.

Prev | Home | Next
putline | Up | endcopy